> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get trace

> Get a single orchestration trace by UUID.



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /orchestration/traces/{uuid}
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/traces/{uuid}:
    get:
      tags:
        - Orchestration - Traces
      summary: Get trace
      description: Get a single orchestration trace by UUID.
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Trace identifier.
          required: true
          description: Trace identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  trace:
                    type: object
                    properties:
                      uuid:
                        type: string
                      workspaceUuid:
                        type: string
                      workflowUuid:
                        type: string
                      rootRunUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      spansCount:
                        type: number
                      failedSpansCount:
                        type: number
                      pendingSpansCount:
                        type: number
                      succeededSpansCount:
                        type: number
                      creditsUsedCount:
                        type: number
                      startedAt:
                        type: string
                      finishedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      updatedAt:
                        type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - error
                          - success
                    required:
                      - uuid
                      - workspaceUuid
                      - workflowUuid
                      - rootRunUuid
                      - spansCount
                      - failedSpansCount
                      - pendingSpansCount
                      - succeededSpansCount
                      - creditsUsedCount
                      - startedAt
                      - finishedAt
                      - updatedAt
                      - status
                    additionalProperties: false
                    title: Trace
                    description: Trace details.
                required:
                  - trace
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````